#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: snap-core
version: 1.0.3.2
id: snap-core-1.0.3.2-14vP36IgAFCHbF0mKqQEAu
key: snap-core-1.0.3.2-14vP36IgAFCHbF0mKqQEAu
license: BSD-3-Clause
maintainer: snap@snapframework.com
author: Snap Framework Authors (see CONTRIBUTORS)
homepage: http://snapframework.com/
synopsis: Snap: A Haskell Web Framework (core interfaces and types)
description:
    Snap is a simple and fast web development framework and server written in
    Haskell. For more information or to download the latest version, you can
    visit the Snap project website at <http://snapframework.com/>.
    .
    This library contains the core definitions and types for the Snap framework,
    including:
    .
    1. Primitive types and functions for HTTP (requests, responses, cookies,
    post/query parameters, etc)
    .
    2. A monad for programming web handlers called \"Snap\", which allows:
    .
    * Stateful access to the HTTP request and response objects
    .
    * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
    to handle requests and chaining handlers together
    .
    * Early termination of the computation if you know early what you want
    to return and want to prevent further monadic processing
    .
    /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core".
category: Web, Snap, IO-Streams
abi: e9d2e21d816180d9914a5fb6c7083ba4
exposed: True
exposed-modules:
    Snap.Core Snap.Internal.Core Snap.Internal.Debug
    Snap.Internal.Http.Types Snap.Internal.Parsing Snap.Test
    Snap.Types.Headers Snap.Util.CORS Snap.Util.FileServe
    Snap.Util.FileUploads Snap.Util.GZip Snap.Util.Proxy
hidden-modules: Snap.Internal.Instances Snap.Internal.Routing
                Snap.Internal.Test.RequestBuilder Snap.Internal.Test.Assertions
                Snap.Internal.Util.FileServe Snap.Internal.Util.FileUploads
import-dirs: /usr/lib/ghc-8.4.2/site-local/snap-core-1.0.3.2
library-dirs: /usr/lib/ghc-8.4.2/site-local/snap-core-1.0.3.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/snap-core-1.0.3.2
hs-libraries: HSsnap-core-1.0.3.2-14vP36IgAFCHbF0mKqQEAu
depends:
    HUnit-1.6.0.0-8OmbxYW4AG9PppbZs26Xx
    attoparsec-0.13.2.2-KnkUxVEson3AzYFappLt2D base-4.11.1.0
    bytestring-0.10.8.2
    case-insensitive-1.2.0.11-GjimmYhRn324HWbQThQUra
    containers-0.5.11.0 directory-1.3.1.5 filepath-1.4.2
    lifted-base-0.2.3.12-KUil9N5klrABKMkigHFaUv
    io-streams-1.5.0.1-8opiooTxJ3eIpJQFgYnQMr
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    monad-control-1.0.2.3-H6bvyZDkbVt6LYQGoovDNM mtl-2.2.2
    random-1.1-9LLJAJa4iQFLJiLXBOBXBV
    readable-0.3.1-BcSBcf5TfYB2LKDbOZtqGx
    regex-posix-0.95.2-FLMmMz75XIwP5t3X8eXe text-1.2.3.0 time-1.8.0.2
    transformers-0.5.5.0
    transformers-base-0.4.5.2-7acoJL0tc0R4Oi2b2qFWAw
    unix-compat-0.5.0.1-EHbnKrAgBdbLiFhZ6tM1y
    unordered-containers-0.2.9.0-A3KBTFupd4vFLOQxsI6884
    vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb
    old-locale-1.0.0.7-26K7wLFR2jK44UeOklvTCh
    network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
    network-2.6.3.5-KclFamJR02kL7LGCwfGqog
abi-depends: HUnit-1.6.0.0-8OmbxYW4AG9PppbZs26Xx=321499f0791ac455defaccdaf7e9b320
             attoparsec-0.13.2.2-KnkUxVEson3AzYFappLt2D=bb3660ce70d29d644cde35d789165619
             base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             case-insensitive-1.2.0.11-GjimmYhRn324HWbQThQUra=41d12cf00836681a13a87be0eaaa8ed3
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             directory-1.3.1.5=c4ddb2059d4b7fed7d39b1d1bb3bf41d
             filepath-1.4.2=a70b79acbde9ca897bdc5eadf9254ba7
             lifted-base-0.2.3.12-KUil9N5klrABKMkigHFaUv=896091a8b1626f15091681abc8af06cd
             io-streams-1.5.0.1-8opiooTxJ3eIpJQFgYnQMr=f07321d1f61a299fd5ea5c1cd77f924f
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=0e3ad496fde59157bcd6a630b4b29548
             monad-control-1.0.2.3-H6bvyZDkbVt6LYQGoovDNM=b8194135f1f6dd018073bf21a633166f
             mtl-2.2.2=a7bec7c72de63625528e8aa4479db2c8
             random-1.1-9LLJAJa4iQFLJiLXBOBXBV=552cb76a5e53a808564c851a382c09ce
             readable-0.3.1-BcSBcf5TfYB2LKDbOZtqGx=5e66e2b4373a20a62bffad0ebca0549d
             regex-posix-0.95.2-FLMmMz75XIwP5t3X8eXe=5459adcad409319ec81639853f5bf77d
             text-1.2.3.0=5654b56910ce698015ec900075c28f62
             time-1.8.0.2=f5b6d28c2b89a17d60f5dfeda767abd0
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             transformers-base-0.4.5.2-7acoJL0tc0R4Oi2b2qFWAw=3395c510e5f563ce90e1ed7b597f9310
             unix-compat-0.5.0.1-EHbnKrAgBdbLiFhZ6tM1y=0ee859cf2426b3ae442a2b0890c46342
             unordered-containers-0.2.9.0-A3KBTFupd4vFLOQxsI6884=c76b79dc8a56ff4425c082d0052b04f4
             vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb=6eab66b6328cb1f1f60a88d42282d4d0
             old-locale-1.0.0.7-26K7wLFR2jK44UeOklvTCh=2dfd38519bdeae449859dd6952bd60c2
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=d49fd54c7cc8ca7cdc7f65925221d670
             network-2.6.3.5-KclFamJR02kL7LGCwfGqog=50faab5fad16287a37cd02f1e51fcd1a
haddock-interfaces: /usr/share/doc/haskell-snap-core/html/snap-core.haddock
haddock-html: /usr/share/doc/haskell-snap-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

